
#include "stdafx.h"
#include <windows.h>
#include "Error.h"

extern int g_dwTlsIndex;

void AM_SetError(DWORD code)
{
	if (g_dwTlsIndex != TLS_OUT_OF_INDEXES) {
		ErrorValue *v = static_cast<ErrorValue*>(TlsGetValue(g_dwTlsIndex));
		if (v != NULL) {
			v->error = code;
		}
	}
}

DWORD AM_GetError()
{
	if (g_dwTlsIndex != TLS_OUT_OF_INDEXES) {
		ErrorValue *v = static_cast<ErrorValue*>(TlsGetValue(g_dwTlsIndex));
		if (v != NULL) {
			return v->error;
		}
	}
	return 0;
}